Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmldb.api.base
Class ErrorCodes

    java.lang.Object
      org.xmldb.api.base.ErrorCodes

    public class ErrorCodes

extends java.lang.Object

ErrorCodes defines XML:DB error codes that can be used to set the `errorCodes` attribute of an `XMLDBException`

Field Summary
`static int` | `COLLECTION_CLOSED` Set when an operation is invoked against a `Collection` instance that has been closed.
`static int` | `INVALID_COLLECTION` Set if the Collection instance is in an invalid state.
`static int` | `INVALID_DATABASE` Set if the `Database` instance being registered is invalid.
`static int` | `INVALID_RESOURCE` Set if the `Resource` provided to an operation is invalid.
`static int` | `INVALID_URI` Set if the URI format is invalid.
`static int` | `NO_SUCH_COLLECTION` Set if the requested `Collection` could not be located.
`static int` | `NO_SUCH_DATABASE` Set if a `Database` instance can not be located for the provided URI.
`static int` | `NO_SUCH_RESOURCE` Set if the requested `Resource` could not be located.
`static int` | `NO_SUCH_SERVICE` Set if the requested `Service` could not be located.
`static int` | `NOT_IMPLEMENTED` Set if the API implementation does not support the operation being invoked.
`static int` | `PERMISSION_DENIED` Set if access to the requested `Collection` can not be granted due to the lack of proper credentials.
`static int` | `UNKNOWN_ERROR` Set when a more detailed error can not be determined.
`static int` | `UNKNOWN_RESOURCE_TYPE` Set if the resource type requested is unknown to the API implementation.
`static int` | `VENDOR_ERROR` Set when a vendor specific error has occured.
`static int` | `WRONG_CONTENT_TYPE` Set if the content of a `Resource` is set to a content type different then that for which the `Resource` was intended to support.

Constructor Summary
`ErrorCodes()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_ERROR

    public static final int UNKNOWN_ERROR

  Set when a more detailed error can not be determined.

  See Also:
    Constant Field Values

### VENDOR_ERROR

    public static final int VENDOR_ERROR

  Set when a vendor specific error has occured.

  See Also:
    Constant Field Values

### NOT_IMPLEMENTED

    public static final int NOT_IMPLEMENTED

  Set if the API implementation does not support the operation being invoked.

  See Also:
    Constant Field Values

### WRONG_CONTENT_TYPE

    public static final int WRONG_CONTENT_TYPE

  Set if the content of a `Resource` is set to a content type different then that for which the `Resource` was intended to support.

  See Also:
    Constant Field Values

### PERMISSION_DENIED

    public static final int PERMISSION_DENIED

  Set if access to the requested `Collection` can not be granted due to the lack of proper credentials.

  See Also:
    Constant Field Values

### INVALID_URI

    public static final int INVALID_URI

  Set if the URI format is invalid.

  See Also:
    Constant Field Values

### NO_SUCH_SERVICE

    public static final int NO_SUCH_SERVICE

  Set if the requested `Service` could not be located.

  See Also:
    Constant Field Values

### NO_SUCH_COLLECTION

    public static final int NO_SUCH_COLLECTION

  Set if the requested `Collection` could not be located.

  See Also:
    Constant Field Values

### INVALID_COLLECTION

    public static final int INVALID_COLLECTION

  Set if the Collection instance is in an invalid state.

  See Also:
    Constant Field Values

### COLLECTION_CLOSED

    public static final int COLLECTION_CLOSED

  Set when an operation is invoked against a `Collection` instance that has been closed.

  See Also:
    Constant Field Values

### NO_SUCH_RESOURCE

    public static final int NO_SUCH_RESOURCE

  Set if the requested `Resource` could not be located.

  See Also:
    Constant Field Values

### INVALID_RESOURCE

    public static final int INVALID_RESOURCE

  Set if the `Resource` provided to an operation is invalid.

  See Also:
    Constant Field Values

### UNKNOWN_RESOURCE_TYPE

    public static final int UNKNOWN_RESOURCE_TYPE

  Set if the resource type requested is unknown to the API implementation.

  See Also:
    Constant Field Values

### NO_SUCH_DATABASE

    public static final int NO_SUCH_DATABASE

  Set if a `Database` instance can not be located for the provided URI.

  See Also:
    Constant Field Values

### INVALID_DATABASE

    public static final int INVALID_DATABASE

  Set if the `Database` instance being registered is invalid.

  See Also:
    Constant Field Values

Constructor Detail

### ErrorCodes

    public ErrorCodes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD